Summary:        Syntax highlighting engine written in Python
Name:           python-pygments
Version:        2.18.0
Release:        1%{?dist}
License:        BSD
URL:            https://pygments.org/
Source0:        %{pypi_source Pygments}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-lxml
BuildRequires:  python%{python3_pkgversion}-wcag-contrast-ratio

%description
It is a generic syntax highlighter suitable for use in code hosting,
forums, wikis or other applications that need to prettify source code.
Highlights are:

 - a wide range of 547 languages and other text formats is supported
 - special attention is paid to details that increase highlighting quality
 - support for new languages and formats are added easily; most languages use a simple regex-based lexing mechanism
 - a number of output formats is available, among them HTML, RTF, LaTeX and ANSI sequences
 - it is usable as a command-line tool and as a library



%package -n python%{python3_pkgversion}-pygments
Summary:        %{summary}
Provides:       pygmentize = %{version}-%{release}

%description -n python%{python3_pkgversion}-pygments
It is a generic syntax highlighter suitable for use in code hosting,
forums, wikis or other applications that need to prettify source code.


%prep
%autosetup -n Pygments-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pygments


%check
%pytest


%files -n python%{python3_pkgversion}-pygments -f %{pyproject_files}
%license LICENSE
%doc AUTHORS CHANGES
%{_bindir}/pygmentize


%changelog
* Fri Jul 19 2024 Upgrade Robot <upbot@opencloudos.tech> - 2.18.0-1
- Upgrade to version 2.18.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.16.1-2
- Rebuilt for python 3.11

* Sat Sep 16 2023 Zhao Zhen <jeremiazhao@tencent.com> - 2.16.1-1
- updated upstream 2.16.1
- fixed CVE-2022-40896

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.11.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.11.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.11.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 cunshunxia <cunshunxia@tencent.com> - 2.11.2-1
- initial build
